# Vector bitwise NOT

CMSIS-DSP: Vector bitwise NOT

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector bitwise NOT
Basic Math Functions

## Functions

void | arm_not_u16 (const uint16_t *pSrc, uint16_t *pDst, uint32_t blockSize)
| Compute the logical bitwise NOT of a fixed-point vector. More...
void | arm_not_u32 (const uint32_t *pSrc, uint32_t *pDst, uint32_t blockSize)
| Compute the logical bitwise NOT of a fixed-point vector. More...
void | arm_not_u8 (const uint8_t *pSrc, uint8_t *pDst, uint32_t blockSize)
| Compute the logical bitwise NOT of a fixed-point vector. More...

## Description

Compute the logical bitwise NOT.

There are separate functions for uint32_t, uint16_t, and uint8_t data types.

## Function Documentation

void arm_not_u16 | ( | const uint16_t * | pSrc,
|  | uint16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_not_u32 | ( | const uint32_t * | pSrc,
|  | uint32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_not_u8 | ( | const uint8_t * | pSrc,
|  | uint8_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none